Skip to main content
POST
/
nodes
/
{nodeId}
/
versions
/
{version}
/
comfy-nodes
create comfy-nodes for certain node
curl --request POST \
  --url https://api.comfy.org/nodes/{nodeId}/versions/{version}/comfy-nodes \
  --header 'Content-Type: application/json' \
  --data '
{
  "cloud_build_info": {
    "build_id": "<string>",
    "location": "<string>",
    "project_id": "<string>",
    "project_number": "<string>"
  },
  "nodes": {},
  "reason": "<string>",
  "status": "<string>",
  "success": true
}
'
import requests

url = "https://api.comfy.org/nodes/{nodeId}/versions/{version}/comfy-nodes"

payload = {
"cloud_build_info": {
"build_id": "<string>",
"location": "<string>",
"project_id": "<string>",
"project_number": "<string>"
},
"nodes": {},
"reason": "<string>",
"status": "<string>",
"success": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
cloud_build_info: {
build_id: '<string>',
location: '<string>',
project_id: '<string>',
project_number: '<string>'
},
nodes: {},
reason: '<string>',
status: '<string>',
success: true
})
};

fetch('https://api.comfy.org/nodes/{nodeId}/versions/{version}/comfy-nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": "<string>",
  "message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

nodeId
string
required
version
string
required

Body

application/json
cloud_build_info
object
nodes
object
reason
string
status
string
success
boolean

Response

Comy Nodes created successfully